Package ru.bitel.bgbilling.modules.tv.server.runtime

# Class ProductSpecRuntimeMap

java.lang.Object
ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<ProductSpec,ProductSpecRuntime>
ru.bitel.bgbilling.modules.tv.server.runtime.ProductSpecRuntimeMap

All Implemented Interfaces:
  `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`

public class ProductSpecRuntimeMap extends ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<ProductSpec,ProductSpecRuntime> implements EventListener<ru.bitel.bgbilling.kernel.event.common.Event>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ProductSpecRuntimeMap`
  `getInstance(ConnectionSet connectionSet)`
  `protected ProductSpecRuntime`
  `newValue(ProductSpec value)`
  `void`
  `notify(ru.bitel.bgbilling.kernel.event.common.Event e, EventListenerContext ctx)`
  `protected void`
  `onUpdate(Connection con, int moduleId, List<ProductSpec> list)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory

  `get, getRef, init, list, newValue, onUpdate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static ProductSpecRuntimeMap getInstance(ConnectionSet connectionSet) throws Exception
    Throws:
      `Exception`

  - ### newValue

    protected ProductSpecRuntime newValue(ProductSpec value)
    Specified by:
      `newValue` in class `ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<ProductSpec,ProductSpecRuntime>`

  - ### onUpdate

    protected void onUpdate(Connection con, int moduleId, List<ProductSpec> list) throws Exception
    Overrides:
      `onUpdate` in class `ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<ProductSpec,ProductSpecRuntime>`
    Throws:
      `Exception`

  - ### notify

    public void notify(ru.bitel.bgbilling.kernel.event.common.Event e, EventListenerContext ctx) throws Exception
    Specified by:
      `notify` in interface `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`
    Throws:
      `Exception`